<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <main>
      <div>
        <h1>{{ todo_list_detail.name }}</h1>
        <p>
          <a href="{% url 'todo_list_update' todo_list_detail.id%}">Edit</a>
        </p>
        <p>
          <a href="{% url 'todo_list_delete' todo_list_detail.id%}">Delete</a>
        </p>
        <h2>Tasks</h2>
        <table>
          <thead>
            <th>Task</th>
            <th>Due date</th>
          </thead>
          <tbody>
            {% for todo in todo_list_detail.items.all %}
            <tr>
              <td>
                <a href="{% url 'todo_item_update' todo.id %}">{{ todo.task }}</a>
              </td>
              <td>{{ todo.due_date }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
